Skip to content
V2 (Legacy) API ReferenceGet started

Share your contact card with a chat

POST/v3/chats/{chatId}/share_contact_card

Share your contact information (Name and Photo Sharing) with a chat.

Note: A contact card must be configured before sharing. You can set up your contact card via the Contact Card API or on the Linq dashboard.

Path ParametersExpand Collapse
chatId: string
formatuuid

Share your contact card with a chat

curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID/share_contact_card \
    -X POST \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}
Returns Examples
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token"
  },
  "success": false
}
{
  "error": {
    "status": 404,
    "code": 2001,
    "message": "Resource not found"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error"
  },
  "success": false
}